Skip to main content

A GTK+ backend for the Toga widget toolkit.

Project description

A GTK+ backend for the Toga widget toolkit.

Toga requires Python 3

This package isn’t much use by itself; it needs to be combined with the core Toga library.

For more details, see the Toga project on Github.

Prerequisites

This backend requires GTK+ 3.10 or later. This is the version that ships starting with Ubuntu 14.04 and Fedora 20. You also need to install the Python 3 bindings to GTK+. If you want to use the WebView widget, you’ll also need to have WebKit, plus the GI bindings to WebKit installed. This means you’ll need to install the following:

  • Ubuntu 14.04 apt-get install python3-gi gir1.2-webkit2-3.0
  • Ubuntu 16.04 apt-get install python3-gi gir1.2-webkit2-4.0 or apt-get install python3-gi gir1.2-webkit2-3.0
  • Fedora 20+ ???
  • Debian ???

Community

Toga is part of the BeeWare suite. You can talk to the community through:

Contributing

If you experience problems with this backend, log them on GitHub. If you want to contribute code, please fork the code and submit a pull request.

Project details


Download files

Download the file for your platform. If you're not sure which to choose, learn more about installing packages.

Filename, size & hash SHA256 hash help File type Python version Upload date
toga_gtk-0.2.15-py3-none-any.whl (22.4 kB) Copy SHA256 hash SHA256 Wheel py3 Aug 14, 2017
toga-gtk-0.2.15.tar.gz (13.4 kB) Copy SHA256 hash SHA256 Source None Aug 14, 2017

Supported by

Elastic Elastic Search Pingdom Pingdom Monitoring Google Google BigQuery Sentry Sentry Error logging AWS AWS Cloud computing DataDog DataDog Monitoring Fastly Fastly CDN SignalFx SignalFx Supporter DigiCert DigiCert EV certificate StatusPage StatusPage Status page